﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.ApplicationModel.DataTransfer;
using System.Threading.Tasks;

namespace shareSourceG
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            DataTransferManager.GetForCurrentView().DataRequested += async (c, d) =>
            {
                DataRequest req = d.Request;
                var def = req.GetDeferral();
                await Task.Delay(10 * 1000);
                // 设置共享内容
                req.Data.Properties.Title = "分享文本（未延迟）";
                await Dispatcher.RunAsync(Windows.UI.Core.CoreDispatcherPriority.High,
                    () => req.Data.SetText(txtInput.Text));
                def.Complete();
            };
        }

        private void OnClick(object sender, RoutedEventArgs e)
        {
            DataTransferManager.ShowShareUI();
        }
    }
}
